	subroutine newpen (ipen)
	integer            ipen
C
C  Selects new pen as indicated by ipen
C  Where:
C	ipen = 1..n indicating pen 1 - n
C  Simulated by changing line width for PostScript printers
C

	integer npen
	integer usepen
	integer savpen
	save	savpen
	data	savpen /1/

	npen = max (ipen, 1)
	if (npen .ne. savpen) then
C
C	Want pen width to be odd number of pixels wide
C
	    usepen = ((npen -1) * 2) + 1
	    call pliout (usepen)
	    call plsout (" W\n")

	    savpen = npen
	end if

	return
	end
